core

### Probe Setup

(This item pertains to the Probe Utilities dialog box, accessible through Insert | Hardware Definition | Probe.)

The Setup button in the Probe Utilities dialog box displays the Probe Setup dialog box:

Probe Setup dialog box

This dialog box further customizes your probe settings. PC-DMIS uses most of these settings globally for all probe files. Note, however, that the Use tip size averaging check box applies only to the current probe file.

You can use the options in this dialog box to change or select the following information:

Calibration Limits

The Check Calibration Limits command checks the calibration limits for all the tips that are used in the active measurement routine. The command also checks the limits when you open the measurement routine or edit the probe file. PC-DMIS warns you if any value goes above a limit.

For more information on this command, see "About Check Calibration Limits" in the PC-DMIS Toolkit Modules documentation.

You can set four types of calibration limits:

Calibration Validity - tips not calibrated for (days): - This item sets the limit based on the number of days that you can use a tip after calibration. If you don't want to receive any warning, set this item to a negative number. The default value is -1.

Calibration Interval - tips not calibrated within (hours): - This item sets the limit based on the time interval in hours within which all the tips in the active measurement routine should be calibrated. If you don't want to receive any warning, set this item to a negative number. The default value is -1.

Standard Deviation - of sphere during calibration is more than: - This item sets the limit to the standard deviation to accept tip calibration. During tip calibration, PC-DMIS calculates the standard deviation for the sphere measurement. The measurement units are the same as those used by your measurement routine.

Tip Diameter - error is more than: This item sets the limit to the deviation of the tip diameter from its nominal value. During tip calibration, PC-DMIS calculates the tip diameter for the measurement. The measurement units are the same as those used by your measurement routine.

Clearance Distance

Along qualification tool shank vector for non-continuous wrists: - This item is the distance the machine moves away from the qualification tool in the direction of the shank vector. During calibration, this item is useful to avoid collisions with the tool when PC-DMIS changes to a new AB tip angle. The measurement units are the same as those used by your measurement routine.

Along qualification tool shank vector for continuous wrists: - This item is the distance the machine moves away from the qualification tool in the direction of the shank vector. This is the same as the above setting except it is used with continuous wrists. Since continuous wrists are somewhat larger, they need more clearance. The measurement units are the same as those used by your measurement routine.

In Z when qualification tool shank is perpendicular to Z axis: - This item defines the clearance distance in the Z axis when the qualification tool's shank is perpendicular to the Z axis. When the qualification tool is mounted on a horizontal shank, it sometimes needs extra Z clearance movement, especially on horizontal arm machines, to avoid collisions. The measurement units are the same as those used by your measurement routine.

Along tip shank vector during qualification: - This item defines a clearance distance that is added to the retract move during qualification that is based on the tool diameter. If you do not want to retract by even that tool diameter base value, you can set this value to a negative number to offset part of this retract distance.

This item sets the value for the AutoQualClearanceTipDirection registry entry in the User_Option section of the PC-DMIS Settings Editor. The default value is 0.75 inches (19.05 mm). The measurement units are the same as those used by your measurement routine.

For tool changer port when probe is loaded: - This item defines a probe-specific port clearance distance that overrides the port clearance distances defined on the probe changer. If you use this item, you won't have to continually update port clearances in your probe changer setup when you switch between measurement routines with different probe configurations for a given port.

See "Using Probe-Specific Port Clearance Distances" in the "Defining Hardware" chapter.

Settings

Use tip size averaging - This check box determines whether tip-size averaging is required.

Minimum number of calibrated tip orientations for size averaging: - This item defines the minimum number of validly calibrated tip orientations that must be present for averaging to take place. The default value is 5 and can never go below 2. This item sets the value for the MinimumTipOrientationsForSizeAveraging registry entry in the USER_Probecal section of the PC-DMIS Settings Editor.

The Use tip size averaging option averages the calibrated tip size for all AB tip angles used for a physical tip.

Normally, when a physical tip is calibrated at a specific AB tip angle, the calibration results include the measured tip size when calibrated at that angle. These stored tip sizes may vary slightly even though they all use the same physical tip.

In some very specific cases, select this check box to improve the overall measurement accuracy.

This option is not intended for general use. Generally, you should only select this check box if recommended to do so by the machine's manufacturer for your specific configuration. Misuse may cause loss of accuracy.

If you select this check box, the following occurs:

- After completing a given calibration, the tip size is averaged for all calibrated AB tip angles for that same physical tip, regardless if you included them in the same calibration or not.

- PC-DMIS excludes non-calibrated AB tip angles which use that same tip from the averaging calculation.

- PC-DMIS excludes any AB tip angles in the current calibration that exceed the warning limits for standard deviation or for size deviation from the nominal from the averaging calculation. However, their sizes are still set to the calculated average value for that physical tip.

By default, you must have at least five validly calibrated tip locations before size averaging takes place. You can use the MinimumTipOrientationsForSizeAveraging registry entry in the USER_Probecal section of the PC-DMIS Settings Editor to specify a different minimum number, but you must have at least two.

Include subdirectories in global search - If you select this check box, the Global Used search includes subdirectories. See "Global Used".

Don't ask operator for currently loaded probe file when using probe changer - When you first start PC-DMIS, it doesn’t know what may have taken place on the machine while PC-DMIS wasn’t running. By default, it prompts you to confirm or select the currently-loaded probe before you attempt the first change after startup. If you select this check box, PC-DMIS assumes that the last-known loaded probe is still correct, and it doesn't prompt you for confirmation.

Append calibration results to results file - This item determines whether existing calibration results report data is overwritten or appended during the next calibration.

Currently loaded probe file: - If you're using a probe changer, PC-DMIS needs to know what (if anything) needs to be dropped off first. To provide that information, this list displays what is currently loaded on your machine and allows you to manually specify it.

Probe file used with probe changer for unload only: - This list lets you choose a dummy probe file used to force an unload of the current probe without loading a new probe from the probe changer. See "To Drop off a Probe without Picking Up a New Probe" in the "Defining Hardware" chapter.